<?xml version="1.0" encoding="UTF-8"?>
<configuration scan="true" scanPeriod="30 seconds" debug="false">

    <contextName>GnssServer</contextName>
    <property name="log.charset" value="ANSI" />
    <property name="log.pattern" value="%contextName- %red(%d{yyyy-MM-dd HH:mm:ss}) %green([%thread]) %highlight(%-5level) %boldMagenta(%logger{36}) - %msg%n" />

    <appender name="FILE" class="ch.qos.logback.core.rolling.RollingFileAppender">
        　　　　　　　　　　　　<rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
        　　　　　　　　　　　　　　<fileNamePattern>GnssServerLog/GnssServerLog.%d{yyyy-MM-dd}.log</fileNamePattern>
        　　　　　　　　　　　　　　<maxHistory>10</maxHistory>
                                <!--控制所有归档日志文件的总大小-->
                                <totalSizeCap>100MB</totalSizeCap>
                                <!--是否在应用启动的时候删除历史日志-->
                                <cleanHistoryOnStart>true</cleanHistoryOnStart>
        　　　　　　　　　　　　</rollingPolicy>
        　　　　　　　　　　　　<encoder>
        　　　　　　　　　　　　　　<pattern>%date [%thread] %-5level %logger{35} - %msg%n</pattern>
        　　　　　　　　　　　　</encoder>
    </appender>

    <appender name="console" class="ch.qos.logback.core.ConsoleAppender">
        <encoder>
            <pattern>${log.pattern}</pattern>
            <charset>${log.charset}</charset>
        </encoder>
    </appender>
    <root level="debug">
        <appender-ref ref="console" />
        <appender-ref ref="FILE" />
    </root>
</configuration>
